org.apache.cassandra.db.compaction.writers

## Class MaxSSTableSizeWriter

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional
  - - org.apache.cassandra.db.compaction.writers.CompactionAwareWriter
    - - org.apache.cassandra.db.compaction.writers.MaxSSTableSizeWriter

All Implemented Interfaces:
  java.lang.AutoCloseable, Transactional

    public class MaxSSTableSizeWriter
    extends CompactionAwareWriter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

`Transactional.AbstractTransactional.State`

### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

`Transactional.AbstractTransactional`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.writers.CompactionAwareWriter

`cfs, estimatedTotalKeys, maxAge, minRepairedAt, nonExpiredSSTables, sstableWriter`

### Constructor Summary

Constructors
Constructor and Description
`MaxSSTableSizeWriter(ColumnFamilyStore cfs, LifecycleTransaction txn, java.util.Set<SSTableReader> nonExpiredSSTables, long maxSSTableSize, int level, boolean offline, OperationType compactionType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `append(AbstractCompactedRow row)` Writes a row in an implementation specific way

### Methods inherited from class org.apache.cassandra.db.compaction.writers.CompactionAwareWriter

`doAbort, doCommit, doPrepare, estimatedKeys, finish, getDirectories, getWriteDirectory`

### Methods inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

`abort, abort, close, commit, commit, doPostCleanup, doPreCleanup, permitRedundantTransitions, prepareToCommit, state`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.utils.concurrent.Transactional

`abort, commit, prepareToCommit`

### Methods inherited from interface java.lang.AutoCloseable

`close`

### Constructor Detail

#### MaxSSTableSizeWriter

    public MaxSSTableSizeWriter(ColumnFamilyStore cfs,
                                LifecycleTransaction txn,
                                java.util.Set<SSTableReader> nonExpiredSSTables,
                                long maxSSTableSize,
                                int level,
                                boolean offline,
                                OperationType compactionType)

### Method Detail

#### append

    public boolean append(AbstractCompactedRow row)

Description copied from class: `CompactionAwareWriter`
Writes a row in an implementation specific way

Specified by:
  `append` in class `CompactionAwareWriter`
Parameters:
  `row` - the row to append
Returns:
  true if the row was written, false otherwise